<?php

include(get_language_filepath('plugin.lang.php', MOSTCOMMENTED_PATH));
global $template, $page, $conf, $user;

$page['section'] = 'most_commented';
unset($page['flat']);

$forbidden = get_sql_condition_FandF (
    			array ('forbidden_categories' => 'category_id',
        			 'visible_categories' => 'category_id',
        			 'visible_images' => 'image_id'), '', true);

$query = 'SELECT DISTINCT image_id
    FROM ' . IMAGE_CATEGORY_TABLE . '
    WHERE ' .  $forbidden . ';';

$img = array_from_query($query, 'image_id');

if (empty($img)) $img = array(0);

$query = 'SELECT img.id, COUNT(*)
  FROM ' . IMAGES_TABLE . ' AS img
  INNER JOIN ' . COMMENTS_TABLE . ' AS com
  ON com.image_id = img.id
  AND com.validated = "true"
  WHERE img.id IN (' . implode(',', $img) . ')
  GROUP BY img.id
  ORDER BY 2 DESC, img.hit DESC
  LIMIT 0, ' . $conf['top_number'] . ';';

$page = array_merge($page,
    array('title' => '<a href="' . duplicate_index_url() . '">'
         . $conf['top_number'] . ' ' . $lang['most_commented_cat'] . '</a>',
        'items' => array_from_query($query, 'id')));


// Affichage du nombre de commentaires si dsactiv pour l'utilisateur
if (!$user['show_nb_comments'])
{
  add_event_handler('loc_index_thumbnail', 'add_mostcommented_nb_comments');

  function add_mostcommented_nb_comments($row)
  {
    global $template, $name;

    $query = 'SELECT COUNT(*) AS nb_comments
      FROM '.COMMENTS_TABLE.'
      WHERE image_id = '.$row['id'].'
      AND validated = "true";';

    list($nb_comments) = mysql_fetch_array(pwg_query($query));

    $template->merge_block_vars('thumbnails.line.thumbnail.element_name',
      array('NAME' => '(' . $nb_comments . ') ' . $name));
  }
}


// Suppression du bouton ordre de trie
add_event_handler('loc_end_index', 'remove_image_order');
function remove_image_order()
{
	global $template;
	unset($template->_tpldata['preferred_image_order.']);
}

?>